Bug 325738 - Git action and subsequent right click lead to KDevelop crash
Summary: Git action and subsequent right click lead to KDevelop crash
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Developer tools
Component: vcs (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-07 12:22 UTC by Benjamin Eikel
Modified: 2013-10-08 06:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Eikel 2013-10-07 12:22:28 UTC
Application: kdevelop (4.5.60)
KDE Platform Version: 4.11.2 (Compiled from sources)
Qt Version: 4.8.6
Operating System: Linux 3.10-3-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
- What I was doing when the application crashed:
1. Execute a git action (e.g., use right-click context menu in editor to perform a Git revert).
2. Right click again (e.g., right click in the editor or in the project explorer) to make KDevelop crash.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f9fe157e780 (LWP 7930))]

Thread 28 (Thread 0x7f9fc716c700 (LWP 7931)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9fda294a4b in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f9fda294a89 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f9fdd086e0e in start_thread (arg=0x7f9fc716c700) at pthread_create.c:311
#4  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 27 (Thread 0x7f9f44f3d700 (LWP 7932)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=1000, this=0x3b667f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3b6bdc8, mutex=mutex@entry=0x3b6bdd0, time=time@entry=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdaf32702 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x3b6bdb0) at ../../language/duchain/duchain.cpp:285
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x3b6bdb0) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9f44f3d700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 26 (Thread 0x7f9f396c5700 (LWP 7933)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9f340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9f396c4df0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9f396c4df0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:537
#7  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x46af518) at thread/qthread_unix.cpp:349
#8  0x00007f9fdd086e0e in start_thread (arg=0x7f9f396c5700) at pthread_create.c:311
#9  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 25 (Thread 0x7f9f38ec4700 (LWP 7934)):
#0  0x00007f9fddd10843 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fdf0e3001 in QProcessManager::run (this=0x7f9fdf46c540 <processManager()::processManager>) at io/qprocess_unix.cpp:247
#2  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7f9fdf46c540 <processManager()::processManager>) at thread/qthread_unix.cpp:349
#3  0x00007f9fdd086e0e in start_thread (arg=0x7f9f38ec4700) at pthread_create.c:311
#4  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 24 (Thread 0x7f9f2745f700 (LWP 7982)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334d6 in QEventDispatcherGlib::processEvents (this=0x7f9f200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9f2745edb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9f2745edb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x54a12d0) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x54a12d0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x54a12d0) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9f2745f700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 23 (Thread 0x7f9f26c5e700 (LWP 7986)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9fd4f2eae2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f9fd4f2eb19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f9fdd086e0e in start_thread (arg=0x7f9f26c5e700) at pthread_create.c:311
#4  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 22 (Thread 0x7f9f2645d700 (LWP 7987)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334d6 in QEventDispatcherGlib::processEvents (this=0x7f9f180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9f2645cdf0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9f2645cdf0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:537
#7  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x63e5bc0) at thread/qthread_unix.cpp:349
#8  0x00007f9fdd086e0e in start_thread (arg=0x7f9f2645d700) at pthread_create.c:311
#9  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 21 (Thread 0x7f9f2540f700 (LWP 8105)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9f1c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9f2540edb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9f2540edb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x7082cd0) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x7082cd0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7082cd0) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9f2540f700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 20 (Thread 0x7f9f24c0e700 (LWP 8106)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x7052350) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7052350) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9f24c0e700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 19 (Thread 0x7f9ed7fff700 (LWP 8125)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9ecc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9ed7ffedb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9ed7ffedb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x72eb8c0) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x72eb8c0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x72eb8c0) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed7fff700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 18 (Thread 0x7f9ed77fe700 (LWP 8127)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x7091a00) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7091a00) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed77fe700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 17 (Thread 0x7f9ed6ffd700 (LWP 8137)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9ec80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9ed6ffcdb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9ed6ffcdb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x72aa3d0) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x72aa3d0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x72aa3d0) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed6ffd700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7f9ed67fc700 (LWP 8138)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x70d3ce0) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x70d3ce0) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed67fc700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7f9ed5ffb700 (LWP 8148)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9ec00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9ed5ffadb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9ed5ffadb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x72edf70) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x72edf70) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x72edf70) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed5ffb700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7f9ed57fa700 (LWP 8152)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x72c6df0) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x72c6df0) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed57fa700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7f9ed4ff9700 (LWP 8180)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9eb80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9ed4ff8db0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9ed4ff8db0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x737a2f0) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x737a2f0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x737a2f0) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9ed4ff9700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7f9eb3fff700 (LWP 8181)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x72fffb0) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x72fffb0) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb3fff700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f9eb37fe700 (LWP 8196)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9ea40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9eb37fddb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9eb37fddb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x7391500) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x7391500) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7391500) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb37fe700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f9eb2ffd700 (LWP 8198)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x72f98f0) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x72f98f0) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb2ffd700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f9eb27fc700 (LWP 8230)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9ea00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9eb27fbdb0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9eb27fbdb0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x7436830) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x7436830) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7436830) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb27fc700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f9eb1ffb700 (LWP 8232)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x738ce90) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x738ce90) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb1ffb700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f9eb17fa700 (LWP 8248)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x7f9e980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9eb17f9db0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9eb17f9db0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=this@entry=0x7411630) at thread/qthread.cpp:537
#7  0x00007f9fdf0e66c3 in QInotifyFileSystemWatcherEngine::run (this=0x7411630) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7411630) at thread/qthread_unix.cpp:349
#9  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb17fa700) at pthread_create.c:311
#10 0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f9eb0ff9700 (LWP 8249)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9fdf0044b4 in wait (time=30000, this=0x6ff3ec0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7061ba8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fdeff78e5 in QThreadPoolThread::run (this=0x73e2490) at concurrent/qthreadpool.cpp:141
#4  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x73e2490) at thread/qthread_unix.cpp:349
#5  0x00007f9fdd086e0e in start_thread (arg=0x7f9eb0ff9700) at pthread_create.c:311
#6  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f9e92d19700 (LWP 8791)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334d6 in QEventDispatcherGlib::processEvents (this=0x7f9e8c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9e92d18df0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9e92d18df0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:537
#7  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x75cc4b0) at thread/qthread_unix.cpp:349
#8  0x00007f9fdd086e0e in start_thread (arg=0x7f9e92d19700) at pthread_create.c:311
#9  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f9e92518700 (LWP 8792)):
#0  0x00007f9fddd0c24d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f9fd7eb5194 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9fdf1334d6 in QEventDispatcherGlib::processEvents (this=0x7f9e840008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7f9e92517df0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7f9e92517df0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f9fdf00191f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:537
#7  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x75b5a10) at thread/qthread_unix.cpp:349
#8  0x00007f9fdd086e0e in start_thread (arg=0x7f9e92518700) at pthread_create.c:311
#9  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f9e91bea700 (LWP 8868)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9fdf0044d6 in wait (time=18446744073709551615, this=0x2c6b1e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2c6b0b8, mutex=0x2c6b360, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fd5bc583c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2c6b090, th=0x82d3930) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f9fd5bc82d3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c6b3f0, th=0x82d3930, previous=0x74b0fa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f9fd5bc6fef in ThreadWeaver::Thread::run (this=0x82d3930) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x82d3930) at thread/qthread_unix.cpp:349
#7  0x00007f9fdd086e0e in start_thread (arg=0x7f9e91bea700) at pthread_create.c:311
#8  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f9e913e9700 (LWP 8869)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9fdf0044d6 in wait (time=18446744073709551615, this=0x2c6b1e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2c6b0b8, mutex=0x2c6b360, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9fd5bc583c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2c6b090, th=0x7f9e7c002c00) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007f9fd5bc82d3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c6b3f0, th=0x7f9e7c002c00, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007f9fd5bc82ec in ThreadWeaver::WorkingHardState::applyForWork (this=0x2c6b3f0, th=0x7f9e7c002c00, previous=0x81db210) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f9fd5bc6fef in ThreadWeaver::Thread::run (this=0x7f9e7c002c00) at ../../../threadweaver/Weaver/Thread.cpp:98
#7  0x00007f9fdf003fef in QThreadPrivate::start (arg=0x7f9e7c002c00) at thread/qthread_unix.cpp:349
#8  0x00007f9fdd086e0e in start_thread (arg=0x7f9e913e9700) at pthread_create.c:311
#9  0x00007f9fddd179ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f9fe157e780 (LWP 7930)):
[KCrash Handler]
#6  0x00007f9fdb2db7ff in operator= (l=..., this=0x14) at /usr/include/qt4/QtCore/qlist.h:439
#7  clear (this=0x14) at /usr/include/qt4/QtCore/qlist.h:766
#8  KDevelop::VcsPluginHelper::setupFromContext (this=0x463dee0, context=0x7520df0) at ../../vcs/vcspluginhelper.cpp:193
#9  0x00007f9fdb2f25d4 in KDevelop::DistributedVersionControlPlugin::contextMenuExtension (this=0x4687930, context=<optimized out>) at ../../vcs/dvcs/dvcsplugin.cpp:91
#10 0x00007f9fe0a063d0 in KDevelop::PluginController::queryPluginsForContextMenuExtensions (this=0x27a0870, context=0x7520df0) at ../../shell/plugincontroller.cpp:609
#11 0x00007f9fe0a29890 in populateContextMenu (menu=0x49aa900, v=0x4a02ad0, this=0x500d420) at ../../shell/textdocument.cpp:134
#12 KDevelop::TextDocument::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at ./textdocument.moc:68
#13 0x00007f9fdf11a4c8 in QMetaObject::activate (sender=0x4a02ad0, m=m@entry=0x7f9fe0996a00 <KTextEditor::View::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x7fffc8c5a700) at kernel/qobject.cpp:3547
#14 0x00007f9fe0778fdb in KTextEditor::View::contextMenuAboutToShow (this=<optimized out>, _t1=0x4a02ad0, _t2=0x49aa900) at ./view.moc:180
#15 0x00007f9fdf11a4c8 in QMetaObject::activate (sender=sender@entry=0x49aa900, m=m@entry=0x7f9fdef59720 <QMenu::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3547
#16 0x00007f9fde8cc090 in QMenu::aboutToShow (this=this@entry=0x49aa900) at .moc/release-shared/moc_qmenu.cpp:164
#17 0x00007f9fde8cef8d in QMenu::popup (this=0x49aa900, p=..., atAction=0x0) at widgets/qmenu.cpp:1844
#18 0x00007f9f3aca6fc9 in ?? () from /usr/lib/libkatepartinterfaces.so.4
#19 0x00007f9fde4f6052 in QWidget::event (this=0x81f3420, event=0x7fffc8c5acf0) at kernel/qwidget.cpp:8554
#20 0x00007f9fde4a675c in QApplicationPrivate::notify_helper (this=this@entry=0x2489ef0, receiver=receiver@entry=0x81f3420, e=e@entry=0x7fffc8c5acf0) at kernel/qapplication.cpp:4567
#21 0x00007f9fde4adb30 in QApplication::notify (this=this@entry=0x7fffc8c5b5b0, receiver=receiver@entry=0x81f3420, e=e@entry=0x7fffc8c5acf0) at kernel/qapplication.cpp:4189
#22 0x00007f9fdf9295da in KApplication::notify (this=0x7fffc8c5b5b0, receiver=0x81f3420, event=0x7fffc8c5acf0) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007f9fdf10633d in QCoreApplication::notifyInternal (this=0x7fffc8c5b5b0, receiver=receiver@entry=0x81f3420, event=event@entry=0x7fffc8c5acf0) at kernel/qcoreapplication.cpp:949
#24 0x00007f9fde51e470 in sendSpontaneousEvent (event=0x7fffc8c5acf0, receiver=0x81f3420) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#25 QETWidget::translateMouseEvent (this=this@entry=0x74b4600, event=event@entry=0x7fffc8c5b030) at kernel/qapplication_x11.cpp:4545
#26 0x00007f9fde51ce8c in QApplication::x11ProcessEvent (this=0x7fffc8c5b5b0, event=event@entry=0x7fffc8c5b030) at kernel/qapplication_x11.cpp:3663
#27 0x00007f9fde5447e2 in x11EventSourceDispatch (s=0x2489d70, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#28 0x00007f9fd7eb4ea6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f9fd7eb51f8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f9fd7eb529c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f9fdf1334b5 in QEventDispatcherGlib::processEvents (this=0x23e49d0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#32 0x00007f9fde544896 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f9fdf104f9f in QEventLoop::processEvents (this=this@entry=0x7fffc8c5b410, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f9fdf105295 in QEventLoop::exec (this=this@entry=0x7fffc8c5b410, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f9fdf10a8db in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#36 0x00007f9fde4a4f1c in QApplication::exec () at kernel/qapplication.cpp:3828
#37 0x000000000040f5ee in main (argc=<optimized out>, argv=<optimized out>) at ../../app/main.cpp:562

Reported using DrKonqi
Comment 1 Aleix Pol 2013-10-08 02:25:55 UTC
Git commit c4695237dabc0605e6a0dacc7be17c8ad5ee4f7d by Aleix Pol.
Committed on 08/10/2013 at 02:25.
Pushed by apol into branch 'master'.

Fix crash

Delete the correct pointer...

M  +1    -1    vcs/vcspluginhelper.cpp

http://commits.kde.org/kdevplatform/c4695237dabc0605e6a0dacc7be17c8ad5ee4f7d
Comment 2 Kevin Funk 2013-10-08 06:21:20 UTC
Git commit 9a361c81b0da4b3004eeed250fbaa0d72231e078 by Kevin Funk, on behalf of Aleix Pol.
Committed on 08/10/2013 at 02:25.
Pushed by kfunk into branch '1.5'.

Fix crash

Delete the correct pointer...

Backport from master.

M  +1    -1    vcs/vcspluginhelper.cpp

http://commits.kde.org/kdevplatform/9a361c81b0da4b3004eeed250fbaa0d72231e078